--- ssl.c	2006/01/26 12:55:30	1.1
+++ ssl.c	2006/01/26 12:55:59
@@ -304,7 +304,7 @@
 int term_ssl_connection(int fd) {
   int i, rc;
 
-  if(!myGlobals.sslInitialized) return;
+  if(!myGlobals.sslInitialized) return 0;
 
   for(i=0; i<MAX_SSL_CONNECTIONS; i++) {
     if((myGlobals.ssl[i].ctx != NULL)
--- fcUtils.c	2006/01/26 12:45:23	1.1
+++ fcUtils.c	2006/01/26 12:46:25
@@ -654,6 +654,6 @@
     memcpy (&entry->pWWN.str[0], &pWWN.str[0], LEN_WWN_ADDRESS);
     memcpy (&entry->nWWN.str[0], &nWWN.str[0], LEN_WWN_ADDRESS);
     strncpy (&entry->alias[0], alias, MAX_LEN_SYM_HOST_NAME);
-    entry->alias[MAX_LEN_SYM_HOST_NAME] = '\0';
+    entry->alias[MAX_LEN_SYM_HOST_NAME-1] = '\0';
   }
 }
--- graph.c	2006/01/26 12:47:15	1.1
+++ graph.c	2006/01/26 12:47:54
@@ -2635,7 +2635,7 @@
   Counter total;
   SortedFcDomainStatsEntry *fcDomainStats;
 
-  p[MAX_FC_DOMAINS+1] = 0;
+  p[MAX_FC_DOMAINS] = 0;
 
   hash = getFcFabricElementHash (vsanId, myGlobals.actualReportDeviceId);
 
--- pbuf.c	2006/01/26 12:47:57	1.1
+++ pbuf.c	2006/01/26 12:55:21
@@ -3232,15 +3232,15 @@
 		 && (ipxBuffer[30] == 0x0)  /* SAP Response (byte 0) */
 		 && (ipxBuffer[31] == 0x02) /* SAP Response (byte 1) */) {
 		u_int16_t serverType;
-		char serverName[57];
+		char serverName[MAX_LEN_SYM_HOST_NAME];
 		int i, found;
 
 		memcpy(&serverType, &ipxBuffer[32], 2);
 
 		serverType = ntohs(serverType);
 
-		memcpy(serverName, &ipxBuffer[34], 56); serverName[56] = '\0';
-		for(i=0; i<56; i++)
+		memcpy(serverName, &ipxBuffer[34], MAX_LEN_SYM_HOST_NAME); serverName[MAX_LEN_SYM_HOST_NAME-1] = '\0';
+		for(i=0; i<MAX_LEN_SYM_HOST_NAME; i++)
 		  if(serverName[i] == '!') {
 		    serverName[i] = '\0';
 		    break;
--- traffic.c	2005/11/04 13:01:06	1.1
+++ traffic.c	2005/11/04 13:05:28
@@ -548,7 +548,7 @@
 /* ******************************* */
 
 unsigned int matrixHostHash(HostTraffic *host, int actualDeviceId, int rehash) {
-  unsigned long hash;
+  unsigned long hash=0;
   char tmpBuf[80], *str;
   int c;
 
--- report.c	2005/11/04 12:35:16	1.1
+++ report.c	2005/11/04 12:36:49
@@ -2166,7 +2166,7 @@
 
 /* ****************************************************************** */
 
-static makeHostName(HostTraffic *el, char *buf, int len) {
+static void makeHostName(HostTraffic *el, char *buf, int len) {
   if(el->hostResolvedName[0] != '\0') strcpy(buf, el->hostResolvedName);
   else if(el->hostNumIpAddress[0] != '\0') strcpy(buf, el->hostNumIpAddress);
   else if(el->ethAddressString[0] != '\0') strcpy(buf, el->ethAddressString);
--- http.c	2005/11/04 12:37:06	1.1
+++ http.c	2005/11/04 12:40:22
@@ -1044,7 +1044,7 @@
 				   disconnected client is still sending */) {
         traceEvent(CONST_TRACE_ERROR, "EBADF during sending of page to web client");
       } else {
-        traceEvent(CONST_TRACE_ERROR, "errno %d during sending of page to web client");
+        traceEvent(CONST_TRACE_ERROR, "errno %d during sending of page to web client",errno);
       }
 
       traceEvent(CONST_TRACE_VERYNOISY, "Failed text was %d bytes, '%s'", strlen(theString), theString);
--- globals-core.h	2005/11/04 12:28:55	1.1
+++ globals-core.h	2005/11/04 12:29:53
@@ -260,8 +260,6 @@
 #ifdef MAKE_WITH_SAFER_ROUTINES
 
 /* Fix to the free prototype courtesy of Tanner Lovelace <lovelace@opennms.org> */
-#define free(a)       ntop_safefree((void**)&(a), __FILE__, __LINE__)
-extern void           ntop_safefree(void **ptr, char* file, int line);
 #define malloc(sz)    ntop_safemalloc(sz, __FILE__, __LINE__)
 extern void*          ntop_safemalloc(unsigned int sz, char* file, int line);
 #define calloc(c,sz)  ntop_safecalloc(c, sz, __FILE__, __LINE__)
--- fcReport.c	2006/03/20 13:55:38	1.1
+++ fcReport.c	2006/03/20 13:59:50
@@ -4057,7 +4057,7 @@
     char buf[LEN_GENERAL_WORK_BUFFER], *sign;
     char *arrowGif, *arrow[48], *theAnchor[48];
     char htmlAnchor[64], htmlAnchor1[64];
-    char vsanBuf[LEN_MEDIUM_WORK_BUFFER], formatBuf[7][32];
+    char vsanBuf[LEN_MEDIUM_WORK_BUFFER], formatBuf[15][32];
     char hostLinkBuf[LEN_GENERAL_WORK_BUFFER],
          hostLinkBuf1[LEN_GENERAL_WORK_BUFFER];
     FCSession **tmpTable, *session;
--- Makefile.am	2006/04/03 09:09:17	1.1
+++ Makefile.am	2006/04/03 09:09:40
@@ -134,8 +134,7 @@
                      ntop.c       pbuf.c         \
                      plugin.c     prefs.c       protocols.c   \
                      sessions.c   term.c        util.c        utildl.c \
-                     traffic.c    vendor.c      version.c      \
-                     ntop_darwin.c
+                     traffic.c    vendor.c      version.c      
 
 libntop_la_DEPENDENCIES =  myrrd/libmyrrd.la config.h
 libntop_la_LIBADD       = 
--- Makefile.in	2006/04/03 09:09:17	1.1
+++ Makefile.in	2006/04/03 09:10:00
@@ -97,7 +97,7 @@
 	getopt.lo getopt1.lo globals-core.lo hash.lo iface.lo \
 	initialize.lo leaks.lo ntop.lo pbuf.lo plugin.lo prefs.lo \
 	protocols.lo sessions.lo term.lo util.lo utildl.lo traffic.lo \
-	vendor.lo version.lo ntop_darwin.lo
+	vendor.lo version.lo
 libntop_la_OBJECTS = $(am_libntop_la_OBJECTS)
 am_libntopreport_la_OBJECTS = emitter.lo globals-report.lo graph.lo \
 	fcReport.lo http.lo report.lo reportUtils.lo ssl.lo \
@@ -357,8 +357,7 @@
                      ntop.c       pbuf.c         \
                      plugin.c     prefs.c       protocols.c   \
                      sessions.c   term.c        util.c        utildl.c \
-                     traffic.c    vendor.c      version.c      \
-                     ntop_darwin.c
+                     traffic.c    vendor.c      version.c  
 
 libntop_la_DEPENDENCIES = myrrd/libmyrrd.la config.h
 libntop_la_LIBADD = 
@@ -556,7 +555,6 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ntop-admin.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ntop-main.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ntop.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ntop_darwin.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pbuf.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pdaPlugin.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/plugin.Plo@am__quote@
